Problem DJI Assistant 2 and P4 Pro V 2.0 will not show firmware

Joined
Apr 16, 2018
Messages
245
Likes
74
Age
60
#1
Has anyone with a P4 Pro Vr 2.0 successfully gotten the newer version of DJI Assistnat 2 (Ver 2.0.0 now call DJI Assistant for Phantom) to show the current firmware on the drone?

I have tried with both Mac (High Sierra) and Win 10 systems. On both, the connection icon shows a connection, then loads the box showing Phantom 4 Pro Vr 2. However after you click on that, the firmware list will not load. Instead you get "Cannot load firmware please retry". No matter how many times you attempt a retry, it will not work. I was also not able to get into the flight data section.

On my Mavic, and P4 the older version of Dji Assistant 1.2.3 works fine, loads the firmware list, shows the flight data, etc.

I was able to update the firmware via djigo4 app, and my iPad, but I would prefer to use dji assistant 2.

I also tried the older version with the P4 Pro Vr 2 and it will not connect with it, only Ver 2.0.0 which has the new title.

Any ideas, or help would be appreciated.

Paul Caldwell
 
Joined
Apr 16, 2018
Messages
245
Likes
74
Age
60
#2
Just wanted to update this thread as I did hear back from DJI.

"Hi there, we got a news from the engineers. It is because Phantom 4 pro v2.0 has not released a firmware at this moment, so the list does not show the firmware list."

Not really sure what this translates to since when I connected to djigo4 it told me there was a new firmware for the P4 Vr 2.0.

As my controller is now dead, I can't do anymore until that issue is resolved.

Paul Caldwell
 
Joined
Jan 8, 2017
Messages
425
Likes
141
Age
34
#3
Are u sure it said new fw? Because all i see on mine is .100 and it says up to date.... did you happen to see the firmware version number?
 
Joined
Apr 16, 2018
Messages
245
Likes
74
Age
60
#4
Mine is the same version.

When I connected the first time to djigo4 with the Vr2 it gave me the firmware update available notice. So I went ahead and selected it. It may have been for the battery?

But it did go through the update.

Paul C
 
Joined
Jan 8, 2017
Messages
425
Likes
141
Age
34
#5
Mine is the same version.

When I connected the first time to djigo4 with the Vr2 it gave me the firmware update available notice. So I went ahead and selected it. It may have been for the battery?

But it did go through the update.

Paul C
Ok most likely battery for inconsistent fw
 
Joined
Aug 31, 2017
Messages
6
Likes
4
Age
62
Location
Cocoa Beach Florida
#6
i have a problem using CrystalSky with the new v2.0. i get a battery error message when i use it and can not get passed it to fly. when i use my android phone it works just fine. any one else have this problem?
 
Joined
Apr 16, 2018
Messages
245
Likes
74
Age
60
#7
i have a problem using CrystalSky with the new v2.0. i get a battery error message when i use it and can not get passed it to fly. when i use my android phone it works just fine. any one else have this problem?

It's my understanding Crystalsky doesn't support the Vr 2.0 Phantom 4 yet. The Version of the djigo4 on crystalsky is not the same as the one for other Android devices. DJI has not updated the djigo4 app for Crystalsky yet.

Paul Caldwell
 
Joined
Jun 16, 2016
Messages
1,355
Likes
302
Age
57
Location
New Jersey
#8
Just wanted to update this thread as I did hear back from DJI.

"Hi there, we got a news from the engineers. It is because Phantom 4 pro v2.0 has not released a firmware at this moment, so the list does not show the firmware list."

Not really sure what this translates to since when I connected to djigo4 it told me there was a new firmware for the P4 Vr 2.0.

As my controller is now dead, I can't do anymore until that issue is resolved.

Paul Caldwell
The new firmware message I got was for each of the batteries I put in only and was done automatically without using DJI assistant. I've also heard DJI using a different program for the V2
 
Joined
Jun 16, 2016
Messages
1,355
Likes
302
Age
57
Location
New Jersey
#9
Basically DJI released the drone with no support as usual. It doesn't work with the Goggles, DJI Assistant, Crystal Sky etc.........
 
Joined
Apr 16, 2018
Messages
245
Likes
74
Age
60
#10
Yes you need DJI assistant 2 for Phantom. Vr 2.0.0. But it won’t work either.

New software loads with title “Assistant 2 for Phantom”

Paul C
 
Last edited:

New Threads

Forum statistics

Threads
129,582
Messages
1,346,081
Members
94,424
Latest member
Ashishgada